Subject: [manet] [Errata Rejected] RFC8175 (6730)

From: RFC Errata System <[email-masked]>
Date: Fri, 5 Nov 2021 14:25:13 -0700 (PDT)

The following errata report has been rejected for RFC8175,
"Dynamic Link Exchange Protocol (DLEP)".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6730

--------------------------------------
Status: Rejected
Type: Technical

Reported by: Brian Sipos <[email-masked]>
Date Reported: 2021-11-03
Rejected by: Alvaro Retana (IESG)

Section: 12.4

Original Text
-------------
The Peer Offer Signal completes the discovery process; see Section 7.1.

Corrected Text
--------------
The UDP source port and destination port MUST be set to the UDP destination port and source port, respectively, of the UDP packet containing the associated Peer Discovery Signal. The Peer Offer Signal completes the discovery process; see Section 7.1.

Notes
-----
The original text did not specify any requirement about the source or destination UDP port number of the Peer Offer signal.
 --VERIFIER NOTES-- 
While this is a valid report, it is a duplicate of Errata ID: 6472.  I am then marking this one as Rejected.

--------------------------------------
RFC8175 (draft-ietf-manet-dlep-29)
--------------------------------------
Title               : Dynamic Link Exchange Protocol (DLEP)
Publication Date    : June 2017
Author(s)           : S. Ratliff, S. Jury, D. Satterwhite, R. Taylor, B. Berry
Category            : PROPOSED STANDARD
Source              : Mobile Ad-hoc Networks
Area                : Routing
Stream              : IETF
Verifying Party     : IESG

---

From: "Sipos, Brian J." <[email-masked]>
Date: Wed, 10 Nov 2021 19:57:54 +0000

All,
This last errata was about UDP fields, not IP fields that the earlier errata
was correcting. They both just happen to apply to the same signal so they edit
the same paragraph. Can this item be resurrected?

-----Original Message-----
From: RFC Errata System <[email-masked]>
Sent: Friday, November 5, 2021 5:25 PM
To: Sipos, Brian J. <[email-masked]>; [email-masked];
[email-masked]; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked];
[email-masked]
Subject: [EXT] [Errata Rejected] RFC8175 (6730)

APL external email warning: Verify sender [email-masked] before
clicking links or attachments

The following errata report has been rejected for RFC8175, "Dynamic Link
Exchange Protocol (DLEP)".

Reported by: Brian Sipos <[email-masked]> Date Reported: 2021-11-03
Rejected by: Alvaro Retana (IESG)

Section: 12.4

Original Text
-------------

Corrected Text
--------------
The UDP source port and destination port MUST be set to the UDP destination
port and source port, respectively, of the UDP packet containing the
associated Peer Discovery Signal. The Peer Offer Signal completes the
discovery process; see Section 7.1.

Notes
-----
The original text did not specify any requirement about the source or
destination UDP port number of the Peer Offer signal.
 --VERIFIER NOTES--
While this is a valid report, it is a duplicate of Errata ID: 6472.  I am then
marking this one as Rejected.

---

From: Alvaro Retana <[email-masked]>
Date: Wed, 10 Nov 2021 14:14:22 -0800

[Cleaned the distribution list a little.]

Brian:

Hi!

Sorry I missed that detail.  I was confused by the fact that the same
paragraph was edited.

Instead of reopening this report, I am going to add a note in 6472 so that
the UDP fields are also addressed.

Thanks!

Alvaro.

On November 10, 2021 at 2:58:00 PM, Sipos, Brian J. ([email-masked])
wrote:

All,
This last errata was about UDP fields, not IP fields that the earlier
errata
was correcting. They both just happen to apply to the same signal so they
edit
the same paragraph. Can this item be resurrected?

-----Original Message-----
From: RFC Errata System <[email-masked]>
Sent: Friday, November 5, 2021 5:25 PM
To: Sipos, Brian J. <[email-masked]>; [email-masked];

Section: 12.4

Original Text
-------------

Corrected Text
--------------

Notes
-----
The original text did not specify any requirement about the source or
destination UDP port number of the Peer Offer signal.
--VERIFIER NOTES--
While this is a valid report, it is a duplicate of Errata ID: 6472. I am
then
marking this one as Rejected.

---

From: Benjamin Kaduk <[email-masked]>
Date: Thu, 18 Nov 2021 18:37:32 -0800

An AD can ask the RFC Editor to set the status back to "reported", but I
would defer to Alvaro on whether to actually do so.

-Ben

---

From: Alvaro Retana <[email-masked]>
Date: Fri, 19 Nov 2021 07:52:20 -0800

Hi Ben!

Yes, already done. :-)

I had cut the list to avoid the noise. ;-)

Alvaro.

On November 18, 2021 at 9:37:48 PM, Benjamin Kaduk ([email-masked]) wrote:

-Ben

errata
edit
then